/* You can add global styles to this file, and also import other style files */

* {
  /*Reset all default Margins & Padding for all elements*/
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.mat-typography :is(h3, h5) {
  margin-bottom: 0;
}

.mat-typography h4 {
  margin-bottom: 8px;
}

:root {
  --height-contact-btn: 48px;
  --max-content-width: 1360px;
  --primary-colour800: #1976D2;
  --app-colour100: #BBDFF6;
  --app-colour50: #e3f2fb;


  /*AppComp*/
  --ft-contact-icon-dimen: 32px;
  --mobile-footer-thematic-br-pad: 20px;
}

html, body {
  height: 100%;
}

body {
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

/*This is set with the context that all image will have wrapper div*/
/*image {
  max-width: 100%;
}*/

/*region MUI Menu*/
.mat-menu-panel {
  /*background: var(--app-primary-colour) !important;*/
  padding: 0 !important;
  overflow: hidden !important;;
}

.mat-menu-item {
  color: var(--primary-colour800);
}

.mat-icon-button {
  color: var(--primary-colour800);
}
/*endregion*/


/*region MUI Mini-FAB*/
.mat-mini-fab {
  width: 30px !important;
  height: 30px !important;
  line-height: unset !important;
  /**/
}

.mat-button-wrapper {
  /*width: 30px !important;
  height: 30px !important;*/
  padding: 0 !important;
}
/*endregion*/
